# Generated from gitlab-fog-google-1.14.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gitlab-fog-google

Name: rubygem-%{gem_name}
Version: 1.14.0
Release: 1%{?dist}
Summary: Module for the 'fog' gem to support Google
License: MIT
URL: https://gitlab.com/gitlab-org/gitlab-fog-google
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(retriable)
# BuildRequires: rubygem(minitest)
# BuildRequires: rubygem(minitest-reporters)
# BuildRequires: rubygem(shindo)
# BuildRequires: rubygem(vcr)
# BuildRequires: rubygem(webmock)
BuildArch: noarch

%description
This library can be used as a module for `fog` or as standalone provider to
use the Google Cloud in applications.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
# shindont
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.codecov.yml
%{gem_instdir}/.editorconfig
%{gem_instdir}/.fog.example
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%exclude %{gem_instdir}/.hound.yml
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-gemset
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/MIGRATING.md
%{gem_instdir}/SECURITY.md
%{gem_instdir}/ci
%{gem_libdir}
%{gem_instdir}/tasks
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/CONTRIBUTORS.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/gitlab-fog-google.gemspec
%{gem_instdir}/test

%changelog
* Mon Aug 23 2021 mockbuilder - 1.14.0-1
- Initial package
